%define oname jane-street-headers

# This package creates no ELF files, but cannot be noarch since the install
# location is under _libdir.
%global debug_package %{nil}

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.17.0
Release:        %mkrel 4
Summary:        Jane Street C header files
Group:          Development/OCaml
License:        MIT
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-dune >= 3.11.0

%description
The repository contains the C header files shared between the various Jane Street packages.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
# Some files got moved from the main package
Conflicts:      ocaml-%{oname} < 1:0.17.0

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

# The generated jane_street_headers.ml file is empty, and so the rest of the
# compiled OCaml artifacts likewise contain nothing useful.  No consumers need
# them either; we remove them.
rm -f %{buildroot}%{ocamldir}/%{oname}/*.{cma,cmi,cmt,cmx,cmxa,cmxs,ml}

# Removing those artifacts means we also need to remove references to them
sed -ri '/(archive|plugin)/d' \
        %{buildroot}%{ocamldir}/%{oname}/{dune-package,META}

%files devel
%doc README.org
%license LICENSE.md
%{ocamldir}/%{oname}/



%changelog
* Sun Apr 27 2025 pterjan <pterjan> 1:0.17.0-4.mga10
+ Revision: 2179451
- Add missing epoch to conflict

* Sun Apr 27 2025 pterjan <pterjan> 1:0.17.0-3.mga10
+ Revision: 2179377
- Add some conflicts as some files have moved

* Sat Apr 26 2025 pterjan <pterjan> 1:0.17.0-2.mga10
+ Revision: 2179082
- Drop incorrect dependency

* Tue Apr 08 2025 pterjan <pterjan> 1:0.17.0-1.mga10
+ Revision: 2174243
- Update to 0.17.0

* Fri May 20 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859491
- Rebuild for OCaml 4.14

* Sun May 08 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1856905
- Update to 0.15.0

* Tue Mar 29 2022 umeabot <umeabot> 1:0.14.0-3.mga9
+ Revision: 1833138
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1:0.14.0-2.mga9
+ Revision: 1751133
- Rebuild for ocaml 4.13.1

* Sat Mar 06 2021 tv <tv> 1:0.14.0-1.mga9
+ Revision: 1700000
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-4.mga8
+ Revision: 1670459
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1551486
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-2.mga8
+ Revision: 1545107
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483946
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.0-0.mga7
+ Revision: 1324646
- Update to 0.11.0

* Tue Oct 23 2018 tv <tv> 1:0.10.0-5.mga7
+ Revision: 1324048
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1:0.10.0-4.mga7
+ Revision: 1323741
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1:0.10.0-3.mga7
+ Revision: 1299881
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1242135
- rebuild against current ocaml stack

* Mon Jan 15 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193503
- imported package ocaml-jane-street-headers

